Package org.lwjgl.opengles

# Class EGLKHRReusableSync

java.lang.Object
org.lwjgl.opengles.EGLKHRReusableSync

public final class EGLKHRReusableSync extends Object
EGL_KHR_reusable_sync wrapper class.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`EGL_CONDITION_SATISFIED_KHR`
Returned by eglClientWaitSyncKHR:
`static final long`
`EGL_FOREVER_KHR`
Accepted in the <timeout> parameter of eglClientWaitSyncKHR:
`static final long`
`EGL_NO_SYNC_KHR`
Returned by eglCreateSyncKHR in the event of an error:
`static final int`
`EGL_SIGNALED_KHR`
Returned in <value> when eglGetSyncAttribKHR is called with <attribute> EGL_SYNC_STATUS_KHR:
`static final int`
`EGL_SYNC_FLUSH_COMMANDS_BIT_KHR`
Accepted in the <flags> parameter of eglClientWaitSyncKHR:
`static final int`
`EGL_SYNC_REUSABLE_KHR`
Accepted by the <type> parameter of eglCreateSyncKHR, and returned in <value> when eglGetSyncAttribKHR is called with <attribute> EGL_SYNC_TYPE_KHR:
`static final int`
`EGL_SYNC_STATUS_KHR`
Accepted by the <attribute> parameter of eglGetSyncAttribKHR:
`static final int`
`EGL_SYNC_TYPE_KHR`
Accepted by the <attribute> parameter of eglGetSyncAttribKHR:
`static final int`
`EGL_TIMEOUT_EXPIRED_KHR`
Returned by eglClientWaitSyncKHR:
`static final int`
`EGL_UNSIGNALED_KHR`
Returned in <value> when eglGetSyncAttribKHR is called with <attribute> EGL_SYNC_STATUS_KHR:

## Method Summary

Modifier and Type
Method
Description
`static int`
`eglClientWaitSyncKHR(EGLDisplay dpy, EGLSyncKHR sync, int flags, long timeout)`
Blocks the calling thread until the specified sync object is signaled, or until a specified timeout value expires.
`static EGLSyncKHR`
`eglCreateSyncKHR(EGLDisplay dpy, int type, IntBuffer attrib_list)`
Creates a fence sync object for the specified EGL display and returns a handle to the new object.
`static void`
`eglDestroySyncKHR(EGLDisplay dpy, EGLSyncKHR sync)`
Destroys an existing sync object.
`static int`
`eglGetSyncAttribKHR(EGLDisplay dpy, EGLSyncKHR sync, int attribute)`
Returns the value of the sync object attribute.
`static void`
`eglSignalSyncKHR(EGLDisplay dpy, EGLSyncKHR sync, int mode)`
Signals or unsignals the sync object by changing its status to the specified mode.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### EGL_SYNC_REUSABLE_KHR

public static final int EGL_SYNC_REUSABLE_KHR
Accepted by the <type> parameter of eglCreateSyncKHR, and returned in <value> when eglGetSyncAttribKHR is called with <attribute> EGL_SYNC_TYPE_KHR:

See Also:
  - Constant Field Values

### EGL_SYNC_TYPE_KHR

public static final int EGL_SYNC_TYPE_KHR
Accepted by the <attribute> parameter of eglGetSyncAttribKHR:

See Also:
  - Constant Field Values

### EGL_SYNC_STATUS_KHR

public static final int EGL_SYNC_STATUS_KHR
Accepted by the <attribute> parameter of eglGetSyncAttribKHR:

See Also:
  - Constant Field Values

### EGL_SIGNALED_KHR

public static final int EGL_SIGNALED_KHR
Returned in <value> when eglGetSyncAttribKHR is called with <attribute> EGL_SYNC_STATUS_KHR:

See Also:
  - Constant Field Values

### EGL_UNSIGNALED_KHR

public static final int EGL_UNSIGNALED_KHR
Returned in <value> when eglGetSyncAttribKHR is called with <attribute> EGL_SYNC_STATUS_KHR:

See Also:
  - Constant Field Values

### EGL_SYNC_FLUSH_COMMANDS_BIT_KHR

public static final int EGL_SYNC_FLUSH_COMMANDS_BIT_KHR
Accepted in the <flags> parameter of eglClientWaitSyncKHR:

See Also:
  - Constant Field Values

### EGL_FOREVER_KHR

public static final long EGL_FOREVER_KHR
Accepted in the <timeout> parameter of eglClientWaitSyncKHR:

See Also:
  - Constant Field Values

### EGL_TIMEOUT_EXPIRED_KHR

public static final int EGL_TIMEOUT_EXPIRED_KHR
Returned by eglClientWaitSyncKHR:

See Also:
  - Constant Field Values

### EGL_CONDITION_SATISFIED_KHR

public static final int EGL_CONDITION_SATISFIED_KHR
Returned by eglClientWaitSyncKHR:

See Also:
  - Constant Field Values

### EGL_NO_SYNC_KHR

public static final long EGL_NO_SYNC_KHR
Returned by eglCreateSyncKHR in the event of an error:

See Also:
  - Constant Field Values

## Method Details

### eglCreateSyncKHR

public static EGLSyncKHR eglCreateSyncKHR(EGLDisplay dpy, int type, IntBuffer attrib_list) throws LWJGLException
Creates a fence sync object for the specified EGL display and returns a handle to the new object.

Parameters:
  `dpy` - the EGL display
  `type` - the sync type
  `attrib_list` - an attribute list (may be null)
Returns:
  the created fence sync object
Throws:
  `LWJGLException` - if an EGL error occurs.

### eglDestroySyncKHR

public static void eglDestroySyncKHR(EGLDisplay dpy, EGLSyncKHR sync) throws LWJGLException
Destroys an existing sync object.

Parameters:
  `sync` - the sync object
Throws:
  `LWJGLException` - if an EGL error occurs.

### eglClientWaitSyncKHR

public static int eglClientWaitSyncKHR(EGLDisplay dpy, EGLSyncKHR sync, int flags, long timeout) throws LWJGLException
Blocks the calling thread until the specified sync object is signaled, or until a specified timeout value expires.

Parameters:
  `sync` - the sync object
  `flags` - the block flags
  `timeout` - the block timeout
Returns:
  the sync object status
Throws:
  `LWJGLException` - if an EGL error occurs.

### eglSignalSyncKHR

public static void eglSignalSyncKHR(EGLDisplay dpy, EGLSyncKHR sync, int mode) throws LWJGLException
Signals or unsignals the sync object by changing its status to the specified mode.

Parameters:
  `sync` - the sync object
  `mode` - the mode
Throws:
  `LWJGLException` - if an EGL error occurs.

### eglGetSyncAttribKHR

public static int eglGetSyncAttribKHR(EGLDisplay dpy, EGLSyncKHR sync, int attribute) throws LWJGLException
Returns the value of the sync object attribute.

Parameters:
  `sync` - the sync object
  `attribute` - the attribute to query
Returns:
  the attribute value
Throws:
  `LWJGLException` - if an EGL error occurs.